// priority: 0

settings.logAddedRecipes = true
settings.logRemovedRecipes = true
settings.logSkippedRecipes = false
settings.logErroringRecipes = true

console.info('Hello, World! (You will see this line every time server resources reload)')

onEvent('recipes', event => {
	//HEALING
	event.remove({id: 'roughtweaks:salve'})	
	event.shapeless('roughtweaks:salve', ['minecraft:bowl', 'minecraft:sugar' , 'vanillafoodpantry:portion_water'])
	event.shapeless('roughtweaks:salve', ['minecraft:bowl', 'vanillafoodpantry:portion_honey' , 'vanillafoodpantry:portion_water'])
	event.shapeless('roughtweaks:salve', ['minecraft:bowl', 'vanillafoodpantry:baking_soda' , 'vanillafoodpantry:portion_water'])
	
	event.remove({id: 'roughtweaks:plaster'})
	event.shapeless('roughtweaks:plaster', ['minecraft:paper', 'roughtweaks:salve' , 'minecraft:string'])
	event.shapeless('roughtweaks:plaster', ['minecraft:kelp', 'roughtweaks:salve'])
	
	
	
	event.remove({id: 'roughtweaks:bandage'})
	event.shaped('roughtweaks:bandage', [
    '   ',
    'SWS',
    ' P '
  ], {
		S: 'minecraft:string',
		P: 'roughtweaks:salve',
		W: '#minecraft:wool'})
		
		
		
	event.remove({id: 'roughtweaks:medkit'})
	event.shaped('roughtweaks:medkit', [
    '   ',
    'PHP',
    'GGG'
  ], {
		P: 'roughtweaks:bandage',
		H: 'levelhearts:heart_piece',
		G: 'minecraft:gold_ingot' })
	
	//FOOD
	event.remove({id: 'minecraft:bread'})
	event.shapeless('nefdecomod:salt_item', ['vanillafoodpantry:rock_salt_crystals'])
	event.shapeless('vanillafoodpantry:rock_salt_crystals', ['nefdecomod:salt_item'])
event.shapeless('vanillafoodpantry:dough_ball', ['create:dough'])
event.shapeless('create:dough', ['vanillafoodpantry:dough_ball'])
	
	
	
	//ITEMS
	
	event.shaped('24x minecraft:paper', [
    'OO ',
    'OO ',
    'OO '
  ], {
		O: 'minecraft:birch_log' })
	
	event.shaped('3x minecraft:paper', [
    '   ',
    'BBB',
    '   '
  ], {
		B: 'minecraft:bamboo' })
	
	event.remove({id: 'iceandfire:chainmail_chestplate'})	
	event.remove({id: 'iceandfire:chainmail_helmet'})
	event.remove({id: 'iceandfire:chainmail_boots'})
	event.remove({id: 'iceandfire:chainmail_leggings'})
	
	
	
	
	event.remove({id: 'bountifulbaubles:token/magic_mirror'})	
	event.remove({id: 'bountifulbaubles:wormhole_mirror'})	
	
	
	
	
	
	// TORCHES
	
	event.remove({id: 'minecraft:torch'})
	event.remove({id: 'betteranimalsplus:blubber_torch'})
	event.remove({id: 'vanillafoodpantry:optional/torches_from_bitoheat'})
	
	event.shapeless('4x minecraft:torch', ['realistictorches:lit_torch', 'betteranimalsplus:blubber'])
	event.shapeless('4x minecraft:torch', ['realistictorches:lit_torch', 'iceandfire:myrmex_desert_resin'])
	event.shapeless('4x minecraft:torch', ['realistictorches:lit_torch', 'iceandfire:myrmex_jungle_resin'])
	event.shapeless('realistictorches:lit_torch', ['realistictorches:unlit_torch', 'minecraft:flint_and_steel'])
	
	event.shaped('vanillafoodpantry:oak_acorn', [
    '   ',
    'BBB',
    '   '
  ], {
		B: 'dynamictrees:oak_seed' })
		
	event.shaped('vanillafoodpantry:oak_acorn', [
    '   ',
    'BBB',
    '   '
  ], {
		B: 'dynamictrees:dark_oak_seed' })

	event.shaped('vanillafoodpantry:oak_acorn', [
    '   ',
    'BBB',
    '   '
  ], {
		B: 'dtbyg:orange_oak_seed' })	
		
	event.shaped('vanillafoodpantry:oak_acorn', [
    '   ',
    'BBB',
    '   '
  ], {
		B: 'dtbyg:red_oak_seed' })	
		
	event.shaped('vanillafoodpantry:oak_acorn', [
    '   ',
    'BBB',
    '   '
  ], {
		B: 'dtbyg:brown_oak_seed' })	
	
	// WATER
	
	event.remove({id: 'vanillafoodpantry:waterdrinks/bottle_water'})
	event.remove({id: 'vanillafoodpantry:waterdrinks/bottle_water_from_bits_water'})
	
	event.shapeless('4x toughasnails:purified_water_bottle', ['carrots:potable_water_bucket', '#forge:empty_bottles', '#forge:empty_bottles', '#forge:empty_bottles', '#forge:empty_bottles'])
	event.shapeless('toughasnails:purified_water_canteen', ['carrots:potable_water_bucket', 'toughasnails:empty_canteen'])
	event.shapeless('minecraft:glass_bottle', ['vanillafoodpantry:empty_bottle'])
	event.shapeless('vanillafoodpantry:empty_bottle', ['minecraft:glass_bottle'])
	
	
	
	// COIN
	
	event.shapeless('iceandfire:gold_pile', ['dotcoinmod:gold_coin'])
	event.shapeless('iceandfire:silver_pile', ['dotcoinmod:iron_coin', 'dotcoinmod:iron_coin' ])
	event.shapeless('iceandfire:copper_pile', ['dotcoinmod:copper_coin', 'dotcoinmod:copper_coin','dotcoinmod:copper_coin', 'dotcoinmod:copper_coin'])
	
	//EYES
	
	event.remove({id: 'endrem:witch_eye'})
	event.remove({id: 'endrem:end_crystal_eye'})
	
	
	event.shaped('endrem:cold_eye', [
    'DID',
    'FEF',
    'DSD'
  ], {
		S: 'iceandfire:sapphire_gem',
		I: 'mowziesmobs:ice_crystal',
		E: 'minecraft:ender_eye',
		D: 'iceandfire:dragonforge_ice_brick',
		F: 'iceandfire:frost_lily'
		 })
		 
	event.shaped('endrem:rogue_eye', [
    'RCR',
    'JEJ',
    'RCR'
  ], {
		R: 'minecraft:redstone_block',
		C: 'twilightforest:carminite',
		J: 'create:electron_tube',
		E: 'minecraft:ender_eye'
		 })
		 
	event.shaped('endrem:old_eye', [
    'CDC',
    'GEG',
    'CDC'
  ], {
		C: 'atum:coin_gold',
		D: 'atum:glistering_date',
		G: 'atum:godforged_block',
		E: 'minecraft:ender_eye'
		 })
	
	event.shaped('endrem:nether_eye', [
    'NIN',
    'WET',
    'OIO'
  ], {
		O: 'minecraft:crying_obsidian',
		I: 'minecraft:netherite_ingot',
		W: 'minecraft:weeping_vines',
		T: 'minecraft:twisting_vines',
		E: 'minecraft:ender_eye',
		N: 'infernalexp:charged_chiseled_soul_stone_bricks'
		 })
		 
	event.shaped('endrem:black_eye', [
    'PTP',
    'NEN',
    'CPC'
  ], {
		P: 'minecraft:prismarine_crystals',
		T: 'iceandfire:tide_trident',
		N: 'apotheosis:prismatic_altar',
		C: 'minecraft:conduit',
		E: 'minecraft:ender_eye'
		 })
		 
		 
	event.shaped('endrem:magical_eye', [
    'AYA',
    'NEN',
    'BUB'
  ], {
		A: 'twilightforest:armor_shard_cluster',
		B: 'ars_nouveau:mythical_clay',
		Y: 'twilightforest:alpha_fur',
		N: 'twilightforest:magic_beans',
		U: 'minecraft:totem_of_undying',
		E: 'minecraft:ender_eye'
		 })
		 
	event.shaped('endrem:wither_eye', [
    'SNS',
    'RER',
    'SWS'
  ], {
		S: 'iceandfire:wither_shard',
		N: 'minecraft:nether_star',
		R: 'minecraft:wither_rose',
		W: 'minecraft:wither_skeleton_skull',
		E: 'minecraft:ender_eye'
		 })	 
		 
	event.shaped('endrem:corrupted_eye', [
    'GBP',
    'BEB',
    'MAS'
  ], {
		G: 'blue_skies:diopside_block',
		P: 'blue_skies:pyrope_block',
		A: 'blue_skies:aquite_block',
		B: 'blue_skies:star_flare',
		E: 'minecraft:ender_eye',
		M: 'blue_skies:moonstone_block',
		S: 'blue_skies:sunstone_block'
		 })	 
	
	event.shaped('endrem:guardian_eye', [
    'FGF',
    'IEI',
    'FSF'
  ], {
		S: 'iceandfire:siren_tear',
		F: 'vanillafoodpantry:guardian_fins',
		I: 'undergarden:forgotten_block',
		E: 'minecraft:ender_eye',
		G: 'dungeons_gear:eye_of_the_guardian',
		 })	 
	
	event.shaped('endrem:lost_eye', [
    'ICF',
    'TEH',
    'MDV'
  ], {
		D: 'minecraft:diamond_block',
		M: 'create:brass_block',
		I: 'undergarden:regalium_block',
		E: 'minecraft:ender_eye',
		C: 'create:chromatic_compound',
		F: 'blue_skies:falsite_block',
		T: 'twilightforest:fiery_block',
		H: 'blue_skies:horizonite_block',
		V: 'blue_skies:ventium_block'
		
		
		 }) 
		 
	event.shaped('endrem:witch_eye', [
    'PHP',
    'NEN',
    'PDP'
  ], {
		P: 'ars_nouveau:summoning_crystal',
		H: 'endrem:witch_pupil',
		N: 'ars_nouveau:wixie_shards',
		D: 'ars_nouveau:potion_melder',
		E: 'minecraft:ender_eye'
		 })	 
		 
	event.shaped('endrem:end_crystal_eye', [
    'PHP',
    'NEN',
    'PNP'
  ], {
		P: 'blue_skies:soul_fragment',
		H: 'tombstone:familiar_receptacle',
		N: 'endrem:end_crystal_block',
		E: 'minecraft:ender_eye'
		 })	 	 
	// TELEPORT
	
	event.remove({id: 'waystones:warp_stone'})
	event.remove({id: 'bountifulbaubles:token/magic_mirror'})	
	event.remove({id: 'bountifulbaubles:wormhole_mirror'})	
	
	event.shaped('bountifulbaubles:wormhole_mirror', [
    'INI',
    'NSN',
    ' N '
  ], {
		N: 'minecraft:ender_pearl',
		I: 'minecraft:emerald',
		S: 'bountifulbaubles:magic_mirror'
		 })
	
	
	event.shaped('waystones:warp_stone', [
    'INI',
    'NSN',
    'INI'
  ], {
		N: 'minecraft:ender_pearl',
		I: 'minecraft:emerald',
		S: 'waystones:warp_scroll'
		 })
	
	
	event.remove({id: 'tombstone:tablet_of_recall'})
	event.remove({id: 'tombstone:tablet_of_home'})
	event.remove({id: 'tombstone:tablet_of_assistance'})
	event.remove({id: 'tombstone:tablet_of_cupidity'})
	
	event.shaped('tombstone:tablet_of_recall', [
    'INI',
    'NSN',
    'INI'
  ], {
		N: 'minecraft:ender_pearl',
		I: 'tombstone:grave_dust',
		S: 'tombstone:strange_tablet'
		 })
	event.shaped('tombstone:tablet_of_home', [
    'IQI',
    'NSN',
    'IQI'
  ], {
		N: 'minecraft:ender_pearl',
		I: 'tombstone:grave_dust',
		S: 'tombstone:strange_tablet',
		Q: 'minecraft:quartz'
		 })
	event.shaped('tombstone:tablet_of_assistance', [
    'INI',
    'NSN',
    'INI'
  ], {
		N: 'minecraft:ender_pearl',
		I: 'levelhearts:heart_piece',
		S: 'tombstone:strange_tablet'
		 })
	
	event.shaped('tombstone:tablet_of_cupidity', [
    'INI',
    'NSN',
    'INI'
  ], {
		N: 'minecraft:ender_pearl',
		I: 'dotcoinmod:diamond_coin',
		S: 'tombstone:strange_tablet'
		 })
	//Dimensions
	
	event.shaped('dimdungeons:block_key_charger', [
    'PPP',
    'GEG',
    'BBB'
  ], {
		P: 'minecraft:dark_prismarine_slab',
		E: 'minecraft:ender_pearl',
		G: 'minecraft:gold_ingot',
		B: 'minecraft:stone_bricks'
		 })
	
})





onEvent('item.tags', event => {
	// Get the #forge:cobblestone tag collection and add Diamond Ore to it
	// event.get('forge:cobblestone').add('minecraft:diamond_ore')

	// Get the #forge:cobblestone tag collection and remove Mossy Cobblestone from it
	// event.get('forge:cobblestone').remove('minecraft:mossy_cobblestone')
})

